Skip to main content
PATCH
/
v1alpha1
/
public
/
knowledge-base
/
document
/
{documentID}
/
chunk
/
{chunkID}
Update chunk metadata
curl --request PATCH \
  --url https://realtime-api.voiceflow.com/v1alpha1/public/knowledge-base/document/{documentID}/chunk/{chunkID} \
  --header 'Content-Type: knowledgeBase' \
  --header 'authorization: <api-key>' \
  --data '
{
  "data": {
    "metadata": {}
  }
}
'
{
  "data": {
    "documentID": "<string>",
    "data": {
      "type": "csv",
      "name": "<string>",
      "rowsCount": 123
    },
    "updatedAt": "2023-11-07T05:31:56Z",
    "status": {
      "type": "ERROR",
      "data": "<unknown>"
    }
  }
}

Authorizations

authorization
string
header
required

Voiceflow Dialog Manager API key (VF.DM) or Workspace API key (VF.WS)

Path Parameters

documentID
string
required

ID of the document to target.

chunkID
string
required

ID of the document chunk to target.

Body

knowledgeBase
data
object
required

Response

200 - application/json

The target document chunk was updated successfully.

data
object
required